## FlatpakTransactionOperation FlatpakTransactionOperation |

## Functions

GFile * | flatpak_transaction_operation_get_bundle_path ()
const char * | flatpak_transaction_operation_get_commit ()
FlatpakTransactionOperationType | flatpak_transaction_operation_get_operation_type ()
const char * | flatpak_transaction_operation_get_ref ()
const char * | flatpak_transaction_operation_get_remote ()
GKeyFile * | flatpak_transaction_operation_get_metadata ()
GKeyFile * | flatpak_transaction_operation_get_old_metadata ()
const char * | flatpak_transaction_operation_type_to_string ()

## Types and Values

| FlatpakTransactionOperation

## Object Hierarchy

        GObject
        ╰── FlatpakTransactionOperation

## Description

## Functions

### flatpak_transaction_operation_get_bundle_path ()

    GFile *
    flatpak_transaction_operation_get_bundle_path
                                   (FlatpakTransactionOperation *self);

Gets the path to the bundle.

#### Parameters

self | a FlatpakTransactionOperation |

#### Returns

the bundle GFile or `NULL`.

[transfer none]

### flatpak_transaction_operation_get_commit ()

    const char *
    flatpak_transaction_operation_get_commit
                                   (FlatpakTransactionOperation *self);

### flatpak_transaction_operation_get_operation_type ()

    FlatpakTransactionOperationType
    flatpak_transaction_operation_get_operation_type
                                   (FlatpakTransactionOperation *self);

### flatpak_transaction_operation_get_ref ()

    const char *
    flatpak_transaction_operation_get_ref (FlatpakTransactionOperation *self);

### flatpak_transaction_operation_get_remote ()

    const char *
    flatpak_transaction_operation_get_remote
                                   (FlatpakTransactionOperation *self);

### flatpak_transaction_operation_get_metadata ()

    GKeyFile *
    flatpak_transaction_operation_get_metadata
                                   (FlatpakTransactionOperation *self);

### flatpak_transaction_operation_get_old_metadata ()

    GKeyFile *
    flatpak_transaction_operation_get_old_metadata
                                   (FlatpakTransactionOperation *self);

### flatpak_transaction_operation_type_to_string ()

    const char *
    flatpak_transaction_operation_type_to_string
                                   (FlatpakTransactionOperationType kind);

## Types and Values

### FlatpakTransactionOperation

    typedef struct _FlatpakTransactionOperation FlatpakTransactionOperation;